

body {
    /* font-family: "Aptos", "Calibri", sans-serif; */
    font-family: "Calibri", "Source Sans Pro", sans-serif;
    background-color: #015430;
    color:#014130;
    display: flex;
    margin: 0.5em auto;
    flex-direction: column;
    max-width: 62em;
    hyphens: auto; 
    word-wrap: normal;
}
h1{
    margin-top: 1.2em;
    margin-bottom: 0.8em;
    font-size: 1.5em;
    font-family: "Helvetica", "Open Sans", sans-serif;
    text-align:center;
    font-weight: 600;       
    color: #014130;
    padding: 0 0.5em 0 0.5em; 
}
h2{
    font-size: 1.8em;
    color: #014130;
    margin: 0.2em;
    margin-left: 0.1em;
    margin-bottom: 1em;
}
h3{
    margin: 0.2em;
    margin-top: 0.05em;
    margin-left: 0em;
    font-size: 1.2em;
    font-family: "Helvetica", "Open Sans", sans-serif;
    font-weight: 600;
}
h5{
    /* margin: 0.2em; */
    /* margin-top: 1em; */
    font-size: 1.22em;    
    font-weight: 600;
    margin: 40px 0px 2px 0px;
}
h6{
    /* margin: 0.2em; */
    /* margin-top: 1em; */
    font-size: 1.18em;    
    font-weight: 400;
    margin: 0px auto auto 0;
}
h7{
    margin-top: 0.6em; 
    margin-left: 1.2em;
    text-indent: -1.3em;
}
h8{
    margin-left: 1.2em;
  text-indent: -1em;
}
}
p{
    margin: 0.6em;
}
a {
    text-decoration: none;
    color: #acfdad;
}
ul{
    margin:auto auto 20px auto;
}

/* -----------horizontale Linien über die seite */
.longline{
    border: 2px solid #acfdad;
    margin: 10px auto 15px auto;
}
.longlingeUebung{
    max-width: 82%;
}


/* -------------menueleiste oben mit logo -----------------*/
.menu2{
    display: flex;
    flex-direction: row;
    justify-content: space-between;  
    align-items: center;
    font-size: 2.1em;
    font-weight:bold;    
    margin-right:1em;
}
.menu3{
    display: flex;
    flex-direction: row;
    justify-content: space-between;  
    align-items: center;
    font-size: 1.5em;
    font-weight:bold;    
    margin-right:2.3em;;
}

.menuBar2{
    margin-left:12px;
    cursor: pointer;
    margin: auto;
}
.menuBar3{
    margin: auto 90px auto 0px;
    cursor: pointer;
}

@media all and (max-width: 780px) {
    .menu2{
        flex-direction:column;
        margin:auto;
    }
}
#logo{
    height:2.8em;
}
#contiLogo{
    height:1.2em;
    margin-bottom:1.4em;
}
.activeMenu{
    color:  #43bf00;
}

/*---Menueleiste der anderen Seiten---*/
#zurueck:hover{
    cursor:pointer;
}
#glossar:hover{
    cursor:pointer;
}

/*---------------Modal für Pause------------------*/
.modal{    
    display: none; /*Hidden by default*/
    position: absolute; /* Stay in place */    
    border-radius: 14px;
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgba(255, 253, 253, 0.6); /* Fallback color */
    background-color: rgba(229, 225, 225, 0.6); /* Black w/ opacity */
    z-index: 3; /* Sit on top */ 
}
#weiterTippen{
    display: none; /*Hidden by default*/
    position: absolute;
    left: 0;
    top: 0;
    width: 300px;
    height: 50px;
    z-index: 4;
    font-size: 20px;
    font-weight: 600;
    color: darkgreen;
}

/*---------------Page Startseite----------------*/
.contiMain{
    display:flex;
    flex-direction: row;
    position: relative;
}
#contiMainI{   
    height:75vh; 
    min-height: 600px;    
}

#bilddatei{
    margin: 12px;
    /* margin: auto;
    margin-top: 30px; */
}

#statistik{
    background-color: whitesmoke;
    max-width: 33%;
    min-height: 380px;
    font-size: 18px;
    padding: 16px 20px 16px 20px;
    margin: 50px 50px 50px auto;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}


.statistikZeile{
    display :flex;
    flex-direction: row;
    justify-content: space-between;

}


#contiStart{
    /* display: flex;
    flex-direction: row; */
    /* margin: 5px 0 5px 5px; */
    /* justify-content: space-evenly; */
    position: absolute;
    top: 81%;
    left: 7%; 
}

.startUebung{
    min-width: 240px;
    min-height: 38px;
    font-size: 16px;
    background-color: rgba(1, 73, 48, 0.9);
    /* background-color: transparent; */
    border-radius: 18px;
    padding: 4px;
    margin: auto;
    color: #acfdad;
    font-weight: bold;
    border-style: outset;
    border-width: 3px;
    border-color: #acfdad;
    cursor: pointer;
}
.imgHand{
    display:flex;
    height:40px;
    margin: 0 auto 0 auto;
}
.Unterschrift{
}

.hrefToBeginn{
    margin: 0 20px 0 20px;
}

#customAlertBoxHand{
    display:none;
    position: fixed;
    z-index: 9;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;

}
.custom-alert-content {
    background-color: #acfdad;
    margin-left: 35rem;
    margin-top: 20rem;
    padding: 5px 15px 10px 25px;
    border: 1px solid #888;
    width: 80%;
    max-width: 300px;
    border-radius: 8px;
    position: relative;

}
.close {
    color: #6a6969;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: #6a6969;
    text-decoration: none;
    cursor: pointer;
}

#alertMessage {
    color: #015430;
    font-size:20px;
    text-align: center;
}

/*---------------Page Lektionen----------------*/
#sidebarConti{
    max-width: 34%;
    min-width: 24%;
    height: 490px;
    font-size: 18px;
    margin: 15px 20px 50px 0px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

#lektionen{
    background-color: rgba(1, 73, 48, 0.9);
      min-width: 20%;
      height: 480px;
      font-size: 18px;
      padding: 16px 10px 16px 10px;
      /* margin: 50px 20px 50px 0px; */
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      color: #acfdad;
      border-radius: 10px;
      border-style: outset;
      border-width: 4px;
      border-color: #acfdad;
      overflow:auto;
      margin-bottom: 8px;
}


#inhaltsver{
background-color: rgba(1, 73, 48, 0.9);
  /* max-width: 24%; */
  min-width: 24%;
  height: 570px;
  font-size: 18px;
  padding: 0px 10px 16px 10px;
  /* margin: 50px 20px 50px 0px; */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  color: #acfdad;
  border-radius: 2px;
  border-style: outset;
  border-width: 2px;
  border-color: #acfdad;
  overflow:auto;
}
.abschnittsUeberschrift{
    position: relative;
    width: 96%;
    margin: 12px auto 4px auto;
    /* background-color: lightgreen; */
    font-size: 28px;
    padding: 4px 4px 4px 12px;
    font-weight: bold;
    color: #acfdad;
    text-align: center;
    /* cursor: pointer; */
}
.subUeberschrift{
    font-size: 16px;
    font-weight: 200;
    margin-left: 40px;
}

.aUeben{
    cursor:pointer;
    background-color: #a7eda7; 
    /* #9cc99c */
    width:120px;
    height: 100px;
    margin:10px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    border-radius: 10px;
    padding: 4px 1px 4px 1px;
    color: #014130;
    /* border-radius: 10px; */
    border-style: solid;
    border-width: 3px;
    border-color: #014130;
}

#contiLektionenBox{
    display:flex;
    flex-direction: row;
    justify-content: space-around;
    min-height: 560px;
    margin: 15px;
    flex-flow: wrap;
    max-width: 70%;
    min-width:770px;
    overflow-y: auto;
    scrollbar-color: #014130 #01702E;
}
.lektion-box{
    position: relative;
}
.lektionen-box-basis{
    font-size: 1.2em;
}
.lektionen-box-speziell{
    font-size: 1.15em;
    font-weight: bold;
}
.lektionen-box-speziell-2{
    font-size: 1.25em;
    font-weight: bold;
}
.lektionen-box-num{
    text-align: left;
    margin: -16px auto -14px 4px;
    font-size:16px;
}

#loeschen{
    min-width: -webkit-fill-available;
    min-width: -moz-available;
}

#disclaimerMinimumWidth{
    display:none;
    font-size: 26px;
    color: yellow;
    max-width: 400px;
    margin: 100px auto 20px 20px;
}

/*--------------Ranking Modal----------------*/




#modRankConti{    
    font-size: 0.9em;
    position: absolute;
    display:flex;
    flex-direction: column;
    z-index: 4;
    color: #acfdad;
    background-color:rgba(15, 58, 43, 0.98);
    /* background-color: rgba(1, 73, 48, 0.96); */
    border-radius: 6px;
    /* border-radius: 10px;
    border-style: outset;
    border-width: 4px;
    border-color: #acfdad; */
    min-width: 600px;
    margin: auto 0 auto 1em;
    padding: 0.2em 0 0.2em 0;
}
.modalLineRank{
    /* font-size: 0.8em; */
    min-height: 35px;
    /* background-color: #43bf00; */
    display: flex;
    flex-direction: row;
    /* justify-content: space-between;   */
    border-bottom: 1px solid #acfdad;
    align-items: center;  
}
.last{
    border-bottom:none;
}
.modalRankCell1{
    width: 15%;
    /* margin-left: 0.8em;
    margin-right: auto; */
}
.modalRankCell2{    
    margin-left: 0.5em;
    margin-right: auto;
}
.modalRankCell3{
    width: 20%;
    /* margin-left: auto;
    margin-right: 0.8em; */
}
#modalR0{
    color: #43bf00;
    font-size: 24px;
}
#modalR03{
    /* margin: auto; */
    /* margin-left: auto; */
    /* margin-right: 0.2em; */
}

/*--------------Lektionen Modal----------------*/

.modConti0{
    position: absolute;
    display:flex;
    flex-direction: column;
    left: 4px;
    top: 7em;
    z-index: 4;
    width: 300px;
    min-height: 300px;
    color: #acfdad;
    background-color: rgba(15, 58, 43, 0.98);
    border-radius: 6px;
}
.modConti1{
    /* position: absolute; */
    left: auto;
    right: 4px;
    top: 7em;
    z-index: 4;
    width: 300px;
    min-height: 400px;
    color:#acfdad;
    background-color:rgba(15, 58, 43, 0.98);
}
.modConti3{
    left: auto;
    right: -75px;
}

.modalLine{
    font-size: 1.1em;
    /* min-width: 300px; */
    min-height: 25px;
    /* background-color: #43bf00; */
    display: flex;
    flex-direction: row;
    justify-content: space-between;  
    border-bottom: 2px solid #acfdad;
    align-items: center;  
}

#modalL01{
    font-size: 1.1em;
    font-weight: bold;
    margin: 0.2em auto 0.2em auto;
}

.modalGrid{
    flex-direction: column;
    margin-top: 0.4em;
    margin-bottom: 0.4em;
    border: none;
}

.modalCell{
    /* border: 1px solid seashell; */
    /* margin-top: auto; */
    padding-left: 0.4em;
    padding-right: 0.4em;
}
.modalCell1{
    flex: 1.12;
}
.modalCell2{
    flex: 0.78;
}
.modalCell3{
    flex: 0.1;
}

.fehlerZeile{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    font-size:0.9em;
    border-bottom: 1px solid whitesmoke;
}
.letzteZeile{
    border:none;
}
.fehlerZelle{
    min-width: 5em;
    min-height: 1.4em;
    text-align: center;
    /* border: 1px solid goldenrod; */
    margin-top: auto;
    margin-left: 0.2em;
    margin-right: 0.2em;
}

#modalErrorNext{
    font-weight: bold;
    font-size: 24px;
    margin: auto 0.2em auto auto;
    background-color: #acfdad;
    color: #014130;
    border-radius: 2px;
    min-width: 1em;
    display: flex;
    justify-content: center;
    cursor: pointer;
}


/*---------------Page Ueben----------------*/

#ueberschriftLektion{
    font-size: larger;
    color: #0faf11;
    /* color:#ebffeb; */
    cursor: auto;
    margin-left: 92px;
    margin-right: auto;
}

#contiMainUeben{
    display:flex;
    position: relative;
    flex-direction: column;
}
#uebungsText{
    background-color: #daeeda;
    width: 750px;
    min-height: 200px;
    max-height: 40vh;
    margin: 20px auto 20px auto;
    font-size: 40px;
    padding: 30px 30px 30px 30px;
    font-family: monospace;
    color: #dba135;
    line-height: 1.6;
    overflow-y: auto;
    scroll-behavior: smooth;
    border-radius: 10px;
    hyphens: none;
    /* white-space: pre; */
}
#keyBoardAnzeige{
    display:flex;
    flex-direction: column;
    margin: auto;
    width: 750px;
    position: relative;
}
#contiButton{
    display: none;  
    flex-direction: row;
    justify-content: space-around;
    margin-top: 10px;
    margin-bottom:10px;
}
#keyBoard{
    width: 100%;
    position: relative;
}
#keyBoardColors{
    z-index: 4;
    position: absolute;
    top: 0%;
    left: 0%;
}
#keyBoardColors2{
    z-index: 4;
    position: absolute;
    top: 0%;
    left: 0%;
}
@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}


.keyBoardHand{
    transition: opacity 0.2s ease-in-out;
    z-index: 5;
    position: absolute;
    top: 0%;
    opacity: 0.65;
}
.img-hidden{
    opacity:0;
}
#img-visible{
    opacity:0;
}


#prompt{
    width: 100%;
    border-radius: 9px;
    border:none;
    outline: none;
    
    overflow: hidden;
    background-color: rgb(0,0,0,0);
    flex-direction: row;
    justify-content: center;
}
#prompt_title{
    font-size: 2.5em;
    font-weight: bold;
    margin: 0.3em;
    margin-bottom: 0.1em;
}
#innerPromt{
    display: flex;
    flex-direction: column;
    align-items: center;
    border: solid 2px #dbce14;
    background-color: #014130; 
    color:#dbce14;
    max-height: 180px;
    max-height: 30%;
    margin: auto;
    border-radius: 100px;
    width:35%;
    padding: 15px;
    /* font-size: 20px; */
    
}
#promptContent{
    display:flex;
    flex-direction: row;
    justify-content: center;
}
.promptEle{
    margin: 0.3em;
    font-style:normal;
    font-size: 1em;
    border-radius: 6px;
    border: none;
}
#prompt_Line{
    font-size: 1.2em;
}
#promptInput{
    padding-left:0.5em;
}
#button_prompt{
    border: outset 3px #dbce14;
    cursor: pointer;
}


/*-------------Sprint DIV-------------------*/

#sprintLabel{
    background-color: #dfbf42; 
    width: 750px;
    height: 60px;
    display: flex;
    margin: auto;
    justify-content: center;
    font-size: 36px;
    font-weight: bold;
    align-items: center;
}

#sprintDiv{
    background-color: #dfbf42; 
    width: 750px;
    height: 180px;
    display: flex;
    margin: auto;
    /* padding: 40px 0px 0px 0px; */
}


.sprintsImg{
    position:absolute;
    animation: einlaufen 1.5s;
}

@keyframes einlaufen {
    from { left: -15%; top: 26.7%}
    5%{top: 20.7%}
    10% {top: 17.7%}
    20% {top: 12.7%}
    50% {top: 8.7%}
    70% {top: 9.7%}
    to { left: 100%; top:10.7%}   
  }


/*-------------Statistik Anzeige ------------------*/
#statistikDiv{
    display: flex;
    flex-direction: row;
    justify-content: space-around;    
    width: 750px;
    height: 260px;
    margin: auto;
    background-color: #dfbf42;
    /* padding: 40px 0px 0px 0px; */
}

.statistikDivChild{
    /* margin:10px; */
    display: flex;
    flex-flow: column;
    justify-content: center;
    text-align: center;
    background-color: gold;
    border-radius: 100%;    
    border-style: solid;
    border-color: green;
}

#divGenauigkeit{
    width: 160px;
    height: 160px;
    font-size: 40px;
    font-weight: bold;
}
#divApm{
    margin-top: 30px;
  width: 150px;
  height: 150px;
  margin-left: -70px;
  font-size: 36px;
  font-weight: bold;
}
#divZeichen{
    margin-top: 80px;
    width: 140px;
    height: 140px;
    margin-right: -70px;
    font-size: 22px;
    font-weight: bold;
}
#divZeit{
    width: 130px;
    height: 130px;
    margin-top: 45px;
    margin-right: -70px;
    font-size: 28px;
    font-weight: bold;
}
#divApmMax{
    width: 130px;
    height: 130px;
    margin-top: 90px;
    margin-left: -70px;
    font-size: 22px;
    font-weight: bold;
}
.statistikLabel{
    font-size: smaller;
}
.toolTip{
    /* display: none; */
    visibility: hidden;
    position: absolute;
    border-radius: 6px;    
}
.toolTipSprints{
    /* display: none; */
    visibility: hidden;
    position: absolute;
    top: 35px;
    border-radius: 6px; 
    font-size: 18px;
    font-weight: normal;
}

.toolTipConti:hover .toolTip {
    visibility: visible;
    display:block;
    opacity: 1;
    cursor: pointer;
    z-index: 1;
    /* background-color:#dba135;  */
    background-color: rgba(15, 58, 43, 0.98);
    color:#acfdad;
    /* color: rgb(255, 255, 255); */
    max-width: 220px;
    padding: 5px;
    text-align: center;
    margin:0 0 0 60px;
    font-size: medium;
}
.toolTipContiLong:hover .toolTipSprints{
    visibility: visible;
    display:block;
    opacity: 1;
    cursor: pointer;
    z-index: 1;
    background-color:#014130; //rgb(10, 73, 174);
    color: rgb(255, 255, 255);
    max-width: 420px;
    padding: 15px;
    text-align: left;
    margin: 15px 0 0 60px;
}

.innerLinkStatistik{
    color:#bced77;
    text-decoration: underline;
}

.spanClass2{
    text-decoration: overline;
}




/*-------------Footer----------------------*/
.fussnoteZitat{    
    display:block;
    text-align: right;
    margin-right: 1em;
    /* padding-right: 8em; */
}
#fussNoteUebung{
    padding-right: 8em;
    margin:0;
}

@media all and (max-width: 800px) {
    #fussNoteLektionen{    
        display:none;
    }
}

.fussnoteZitat>a{
    color: #43bf00;    
}

.kleiner{
    font-size: smaller;
}

#footer{    
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.contactInline{
    text-decoration: none;
    color: blue;
}
.rechtliches{
    font-size: 1.2em;
    padding: 0.2em;    
}

/*-----------Datenschutzerklärung und Impressum--------------*/

.contactFormLink{
    color:#1212e5;
}

#contiInformationenBox{
    display:flex;
    flex-direction: row;
    justify-content: space-around;
    min-height: 560px;
    max-height: 75vh;
    margin: 15px;
    flex-flow: wrap;
    max-width: 70%;
    min-width:710px;
    overflow-y: auto;
    scrollbar-color: #014130 #01702E;
}
.infoframe{
    /* color: darkgoldenrod; */
    background:  #daeeda;
    /* width:78%; */
    margin: auto;
    border-radius: 6px;
    padding:1.2em;
    font-size: 1.15em;
    line-height: 1.4;
    font-family: "Helvetica", "Open Sans", sans-serif;
    font-weight: 400;      
}

.impressframe{
    /* color: darkgoldenrod; */
    background:  #daeeda;
    min-width:78%;
    max-height: 76vh;
    overflow-y:auto;
    margin: auto;
    border-radius: 6px;
    padding:1.2em;
    font-size: 1.1em;
    font-family: "Helvetica", "Open Sans", sans-serif;
    font-weight: 400;      
}
/* #abschiedsgruss{
    width: 80%;
    font-size: 1.3em;
    font-weight: 400;  
    padding: 0.0em;
    margin: 0.1em;
    text-align:left;
} */

.danke{
    margin:1.5em;
}

#bo{
    font-weight: bold;
}

/*---------------------ContactFormular----------------------*/

#dank{
    margin: 0em 0em 3em 1.9em;
}
.formContact {
  width: 92%;
  padding: 2em;
  position: relative;
  /* background-color: ; */
}
.introLine{
    text-align:right;
    width:100%;
}

.inputContact, .textaContact{
    margin: 0 0 1em 21%;
    padding: .2em .5em;
    width: 60%;
    background-color: #f1f1f1; 
} 
.labContact { 
    text-align: right;
    line-height: 1.5;
    width: 20%;
    position: absolute;
    left: 0;
    margin-left:0%;
}
.labContact::after {
    content: ": ";
}    
.butContact {
    margin-top: 0em;
    margin-left: 21%;
    width:34%;
    height:2em
}    
.headtext{
    margin:1.3em 1em 0.8em 0em;
    /* margin-left:4em;     */
    font-weight:600;
    text-align:center;
} 
#inbetween{ 
    margin:0.8em 1.5em 0.2em 0em;
    margin-left:4.5em;  
    font-size: smaller;
}
.toCheck { 
    margin-top:1em;
    padding: .2em .5em;
    width: 60%;
    background-color: #f1f1f1;   
}

@media all and (max-width: 1080px) {
    #sidebarConti{
        display:none;
    }
    #contiLektionenBox{
        margin: 15px auto;
    }
    #contiLogo{
        margin-left:0.8em;
    }
    #inhaltsver{
        display:none;
    }
    #contiInformationenBox{
        margin: 15px auto;
        max-width:96%;
        min-width: auto;
    }
    #fussNoteLektionen{
        padding-right:8em;
    }
}
@media all and (max-width: 899px) {
    .startUebung{
        min-width: 125px;
    }
    #contiStart{
        left:18%;
        top:70%;
    }
}

@media all and (max-width: 799px) {
    #sidebarConti{
        display:flex;
        margin: auto;
    }
    #contiLektionenBox{
        display:none;
    }    
    #disclaimerMinimumWidth{
        display:flex;
    }
    #contiStart{
        display: none;
    }
    
}



@media all and (max-width: 611px) {
    #sidebarConti{
        display:none;
    }
    #disclaimerMinimumWidth{
        margin: auto;
        padding: 10px;
    }
    
}


@media all and (max-width: 640px) {
    #titelContact{
        width:70%;
    }
    .inputContact, .textaContact{
      margin: 0 0 0.1em .5em;
      margin-top:3em;
      padding: .2em .5em;
      width: 70%;
      background-color: #f1f1f1; 
    }
    .labContact { 
      text-align: left;
      line-height: 1.5;
      width: inherit;
      position: absolute;
      left: 0;
      margin-left:2.3em;
      margin-top:0.2em;      
    }
    .labContact::after {
      content: ": ";
    }
    .butContact {
      margin-top: 0.5em;
      margin-left: 0.4em;
      height:2em;
      width:30%;
    }    
    .headtext{
        margin:1.3em 1.4em 0.4em 0em;
        margin-left:0.5em;  
        font-weight:600;
        text-align:left;
        width:70%;
    }   
    #inbetween{ 
        margin:0.8em 0.8em 0.2em 0em;
        margin-left:0.4em;  
        text-align:left;
    }
    .toCheck { 
      margin-top:2em;
      padding: .2em .5em;
      width: 70%;
      background-color: #f1f1f1;     
    }
}

/**************Page_informationen**********************/

.textParagraph{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 0px auto 20px 0px;
}
.textParagraphDiv{
    margin: auto auto 10px 0px;
}

#regEintrag{
    max-width: 100%;
}
.groesser{
    font-weight: bold;
}

/**************Page_kaffeekasse**********************/

.kaffeekasse{
    text-align:center;
}
.bildcontainer{
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    gap:1em;
}

.bildcontainer img {
  max-width: 100%; /* Responsive Bilder */
  height: auto;
}
